Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionGCMResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionGCMResponse`, `ClientWireProtocol.ClientConnectionGCMResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnectionGCMResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`com.google.protobuf.ByteString` | `getIv()` | `bytes iv = 2;`
`String` | `getPubKey()` | `string pubKey = 3;`
`com.google.protobuf.ByteString` | `getPubKeyBytes()` | `string pubKey = 3;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getIv

com.google.protobuf.ByteString getIv()
`bytes iv = 2;`

### getPubKey

String getPubKey()
`string pubKey = 3;`

### getPubKeyBytes

com.google.protobuf.ByteString getPubKeyBytes()
`string pubKey = 3;`